Summary:        ims-mock tools for running mock build
Name:           ims-mock
Version:        0.1.6
Release:        1%{?dist}
License:        GPLv2+
Group:          System Environment/Base
URL:            https://gitea.infomaas.com/InfoMaaS/ims-mock
BuildArch:      noarch

Source0:        ims-mock-%{version}.tar.gz
Requires:       rpm-build
Requires:       mock
Recommends:     fedpkg

%description
ims-mock tools for running mock build.

%prep
%setup -q

%install
%{__rm} -rf %{buildroot}

install -dm 755 %{buildroot}%{_bindir}
install -m 755 ims-mock %{buildroot}%{_bindir}/ims-mock
install -m 755 rpmbuild_local %{buildroot}%{_bindir}/rpmbuild_local

install -d -m 755 %{buildroot}%{_sysconfdir}/ims-mock

for f in config/*/*; do
  install -m 644 $f %{buildroot}%{_sysconfdir}/ims-mock/
done

install -d -m 755 %{buildroot}%{_sysconfdir}/mock
for f in mock/*.cfg; do
  install -m 644 $f %{buildroot}%{_sysconfdir}/mock/
done

install -d -m 755 %{buildroot}%{_sysconfdir}/mock/templates
for f in mock/*.tpl; do
  install -m 644 $f %{buildroot}%{_sysconfdir}/mock/templates/
done


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{_bindir}/rpmbuild_local
%{_bindir}/ims-mock

%dir %{_sysconfdir}/ims-mock
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/ims-mock/*

%{_sysconfdir}/mock/

%changelog
* Wed Mar 23 2022 Zoran Pericic <zoran.pericic@infomaas.com>
Initial release
